﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="WebUserControl1.ascx.cs" Inherits="TelerikWebApp2.WebUserControl1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<style type="text/css">
     .borderCssClass div {
         padding:0px 0px 10px 0px;
     }
 </style>

<telerik:RadAjaxPanel ID="BasicSetupRecipeUCAjaxPanel" runat="server" >
<table>
    <tr>
        <td style="width:20%">&nbsp;</td>
        <td style="width:20%">&nbsp;</td>
        <td style="width:20%">&nbsp;</td>
        <td style="width:20%">&nbsp;</td>
        <td style="width:20%">&nbsp;</td>
        <td style="width:20%">&nbsp;</td>
    </tr>
    <tr>
       <td style="width:20%">Please specify the 5 locations:</td>
       <td colspan="3">
            <div>
                <telerik:RadGrid ID="BumpLocationGrid" runat="server" Width="90%" AutoGenerateColumns="False" AllowAutomaticUpdates="True" OnBatchEditCommand="BumpLocationGrid_BatchEditCommand">
                    <MasterTableView AutoGenerateColumns="False" EditMode="Batch" >
                        <CommandItemSettings ShowAddNewRecordButton="False" />
                        <RowIndicatorColumn Visible="False">
                        </RowIndicatorColumn>
                        <Columns>
                            <telerik:GridNumericColumn DecimalDigits="0" HeaderText="Index" UniqueName="GUIIndex" DataField="GUIIndex" DataType="System.Int32" Visible="true"  Display="False">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridNumericColumn>
                            <telerik:GridNumericColumn DecimalDigits="4" FilterControlAltText="Filter XPosition column" HeaderText="X Position (mm)" UniqueName="XPosition" DataField="x_coord" DataType="System.Double">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridNumericColumn>
                            <telerik:GridNumericColumn DecimalDigits="4" FilterControlAltText="Filter YPosition column" HeaderText="Y Position (mm)" UniqueName="YPosition" DataField="y_coord" DataType="System.Double">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridNumericColumn>
                        </Columns>

                        <BatchEditingSettings EditType="Row" OpenEditingEvent="Click"></BatchEditingSettings>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
        </td>
       <td style="width:20%">&nbsp;</td>
    </tr>
 
    <tr>
        <td></td>
        <td colspan="2">
            <div>
                <telerik:RadButton ID="SaveButton" runat="server" Text=" Save Recipe " OnClick="SaveButton_Click" OnClientClicked="Save_ClientClicked"></telerik:RadButton>
            </div>
        </td>
        <td colspan="3">
            <div>
                <telerik:RadButton ID="ResetButton" runat="server" Text="Reset form" OnClick="ResetButton_Click"></telerik:RadButton>
            </div>
        </td>
    </tr>
</table>
</telerik:RadAjaxPanel>


<telerik:RadCodeBlock ID="BasicSRCodeBlock" runat="server">
<script type="text/javascript" >
    function Save_ClientClicked(sender, eventArgs) {
        FooterLog("BasicSetupRecipeUC: Save_ClientClicked: ");
        var grid = $find("<%= BumpLocationGrid.ClientID %>");
        grid.get_batchEditingManager().saveChanges(grid.get_masterTableView());
        return true;
    }

    function pageLoad() {
        FooterLog('BasicSetupRecipeUC: pageLoad called');
    }
</script>


</telerik:RadCodeBlock>

